# As discussed in the Fedora packaging mailing list
# the package is named tor-arm as in Debian to avoid conflicts
# http://lists.fedoraproject.org/pipermail/packaging/2011-October/007945.html
%global realname arm

Name:           tor-arm
Version:        1.4.5.0
Release:        alt1_5
Summary:        Terminal status monitor for Tor

Group:          Communications
License:        GPLv3
URL:            http://www.atagar.com/arm/
Source0:        http://www.atagar.com/arm/resources/static/%{realname}-%{version}.tar.bz2
Source1:        http://www.atagar.com/arm/resources/static/%{realname}-%{version}.tar.bz2.asc
# https://trac.torproject.org/projects/tor/ticket/5973
Patch1:         %{name}-%{version}-usrmove.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
The anonymizing relay monitor (arm) is a terminal status monitor for Tor relays,
intended for command-line aficionados, ssh connections, and anyone with a tty
terminal. This works much like top does for system usage, providing real time
statistics for:

 - bandwidth, CPU, and memory usage
 - relay's current configuration
 - logged events
 - connection details (IP, host name, fingerprint, and consensus data)
 - etc.


%package devel
Summary:        Development files for tor-arm
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains example code for building a setuid binary to be able to
modify Tor config at run time


%prep
%setup -q -n %{realname}
%patch1 -p1


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root=%{buildroot}
# This lives in pytorctl
rm -rf %{buildroot}%{_datadir}/%{realname}/TorCtl
chmod 0755 %{buildroot}%{_datadir}/%{realname}/starter.py \
           %{buildroot}%{_datadir}/%{realname}/test.py
install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps \
           %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/%{realname}/resources/%{name}.svg \
     %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
     %{buildroot}%{_datadir}/%{realname}/resources/%{name}.desktop
# Remove unnecessary installed files
rm -rf %{buildroot}%{_docdir}
rm -f %{buildroot}%{_datadir}/%{realname}/uninstall \
      %{buildroot}%{_datadir}/%{realname}/resources/arm.1 \
      %{buildroot}%{_datadir}/%{realname}/resources/torrcOverride/override.c \
      %{buildroot}%{_datadir}/%{realname}/resources/torrcOverride/override.h \
      %{buildroot}%{_datadir}/%{realname}/resources/%{name}.desktop



%files
%doc ChangeLog LICENSE README armrc.sample
%{_mandir}/man1/%{realname}.1.*
%{_bindir}/%{realname}
%{_datadir}/%{realname}
%{_datadir}/%{realname}-%{version}*.egg-info
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop


%files devel
%doc src/resources/torrcOverride/override.c src/resources/torrcOverride/override.h


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.5.0-alt1_5
- initial fc import

